<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Teilnehmer\SammelEinzelBearbeitung;

class HandleSammelEinzelBearbeitungController extends \Kufer\Web\KuferTools\Basis\Kursdetails\DetailsReiter\Teilnehmer\SammelEinzelBearbeitung\HandleSammelEinzelBearbeitungController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleSammelEinzelBearbeitungUseCase($this->getRequestObj());
  }

  protected function getToolId(): int
  {
    return HandleSammelEinzelBearbeitungUseCase::getToolId();
  }

  protected function getFormToolSectionId()
  {
    return HandleSammelEinzelBearbeitungUseCase::getFormToolSectionId();
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    if ($pUseCaseResponse->status !== \Kufer\Web\KuferTools\Basis\Kursdetails\DetailsReiter\Teilnehmer\SammelEinzelBearbeitung\HandleSammelEinzelBearbeitungUseCase::STATUS_SUCCESS) {
      return new SammelEinzelBearbeitungFormularController($pUseCaseResponse->status, $pUseCaseResponse->datamoduls);
    }

    return parent::getControllerToForward($pUseCaseResponse);
  }
}